% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print.survdnn.R
\name{print.survdnn}
\alias{print.survdnn}
\title{Print a survdnn Model}
\usage{
\method{print}{survdnn}(x, ...)
}
\arguments{
\item{x}{An object of class `"survdnn"`, returned by [survdnn()].}

\item{...}{Ignored (for future compatibility).}
}
\value{
The model object, invisibly.
}
\description{
Pretty prints a fitted `survdnn` model. Displays the formula,
network architecture, training configuration, and final training loss.
}
\examples{
library(survival)
data(veteran, package = "survival")
mod <- survdnn(Surv(time, status) ~
age + karno + celltype, data = veteran, epochs = 20, verbose = FALSE)
print(mod)
}
